Subject: Re: bug#11809: document "So how do we just simply make a backup file?"

From: Bernhard Voelker <[email-masked]>
Date: Fri, 29 Jun 2012 11:30:38 +0200

On 06/29/2012 10:48 AM, Jim Meyering wrote:
> Here's the doc patch I suggested, but I'll hold off for now.
> I'd like to hear if anyone thinks it's worth adding a new option,
> which would obviate such a script.

I think it's okay, that special backup case is described in the info
page of cp twice anyway.

> diff --git a/doc/coreutils.texi b/doc/coreutils.texi
> index 08ef2d8..5207c44 100644
> --- a/doc/coreutils.texi
> +++ b/doc/coreutils.texi
> @@ -7675,9 +7675,11 @@ cp invocation
>  #!/bin/sh
>  # Usage: backup FILE...
>  # Create a @sc{gnu}-style backup of each listed FILE.
> +fail=0
>  for i; do
> -  cp --backup --force -- "$i" "$i"
> +  cp --backup --force -- "$i" "$i" || fail=1
>  done
> +exit $fail
>  @end example
> 
>  @item --copy-contents

When we speak of "backup", then maybe "--preserve=all" would be nice.

BTW: that special backup case accepts -a which includes both -d and -R
which both are maybe not ideal if you speak about a backup of a regular
file. The former treats symlinks specially, and the latter is designed
to recurse into directories - both may be misleading (although -d may
make some sense in certain situation when creating a backup of a
symlink). WDYT?

Have a nice day,
Berny